{
  "custom": {},
  "params": {
    "direction": {
      "downward": false,
      "left": false,
      "right": false,
      "upward": false
    },
    "pageid": ""
  },
  "propConfig": {
    "params.direction": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.pageid": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 55,
      "width": 40
    }
  },
  "root": {
    "children": [
      {
        "events": {
          "component": {
            "onActionPerformed": {
              "config": {
                "script": "\tsystem.perspective.navigate(\"/\" + self.view.params.pageid)"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "Button",
          "tooltip": {
            "enabled": true
          }
        },
        "position": {
          "basis": "45px",
          "grow": 1
        },
        "propConfig": {
          "meta.tooltip.text": {
            "binding": {
              "config": {
                "path": "view.params.pageid"
              },
              "type": "property"
            }
          },
          "props.align": {
            "persistent": true
          },
          "props.image.icon.path": {
            "binding": {
              "config": {
                "expression": "if({view.params.direction.upward},\"material/arrow_upward\",\nif({view.params.direction.downward},\"material/arrow_downward\",\nif({view.params.direction.left},\"material/arrow_back\",\nif({view.params.direction.right},\"material/arrow_forward\",0))))"
              },
              "type": "expr"
            }
          }
        },
        "props": {
          "image": {
            "height": 55,
            "icon": {
              "color": "#000000"
            },
            "position": "center",
            "width": 40
          },
          "style": {
            "backgroundColor": "#F6F6F6"
          },
          "text": ""
        },
        "type": "ia.input.button"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}